CYTHONIZE(1)

NAME
cythonize - compile Cython code (.pyx) into C to build a Python extension

DESCRIPTION
usage: cythonize [-h] [-X NAME=VALUE,...] [-E NAME=VALUE,...] [-s NAME=VALUE]

    [-2] [-3] [--3str] [-+] [-a] [--annotate-fullc] [-x PATTERN] [-b] [-i] [--timeit CODESTRING] [--setup CODESTRING] [-j N] [-f] [-q] [--lenient] [-k] [--no-docstrings] [-M] [sources ...]

  positional arguments:

    sources

  options:

-h, --help
    show this help message and exit

-X, --directive NAME=VALUE,...
    set a compiler directive

-E, --compile-time-env NAME=VALUE,...
    set a compile time environment variable

-s, --option NAME=VALUE
    set a cythonize option

-2  use Python 2 syntax mode by default

-3  use Python 3 syntax mode by default

--3str
    use Python 3 syntax mode by default (deprecated alias for -3)

-+, --cplus
    Compile as C++ rather than C

-a, --annotate
    Produce a colorized HTML version of the source.

--annotate-fullc
    Produce a colorized HTML version of the source which includes entire generated C/C++-code.

-x, --exclude PATTERN
    exclude certain file patterns from the compilation

-b, --build
    build extension modules using distutils/setuptools

-i, --inplace
    build extension modules in place using distutils/setuptools (implies -b)

--timeit CODESTRING
    build in place, then compile+run CODESTRING as benchmark in first module's namespace (implies -i)

--setup CODESTRING
    use CODESTRING as pre-benchmark setup code for --bench

-j, --parallel N
    run builds in N parallel jobs (default: 12)

-f, --force
    force recompilation

-q, --quiet
    be less verbose during compilation

--lenient
    increase Python compatibility by ignoring some compile time errors

-k, --keep-going
    compile as much as possible, ignore compilation failures

--no-docstrings
    strip docstrings

-M, --depfile
    produce depfiles for the sources

  Environment variables:

    CYTHON_FORCE_REGEN: if set to 1, forces cythonize to regenerate the output files regardless

    of modification times and changes.

    CYTHON_CACHE_DIR: the base directory containing Cython's caches. Environment variables accepted by setuptools are supported to configure the C compiler and build: https://setuptools.pypa.io/en/latest/userguide/ext_modules.html#compiler-and-linker-options